<?php

use think\facade\Route;

Route::rule('login','admin/Login/login');//登录
Route::rule('logout','admin/Login/logout');//登出
Route::rule('upload','admin//upload');//上传图片？？？？？？？？？？？？？？？？？

//【版本】
Route::rule('version','admin/Version/lastVersion');//最新版本
Route::rule('versionList','Admin/Version/getList');//版本列表
Route::rule('versionAdd','Admin/Version/create');//新建版本

//【菜单】
Route::rule('menuList', 'admin/Menu/List');//获取用户菜单列表
Route::rule('menuAll', 'admin/Menu/All');//获取全部菜单
Route::rule('menuAdd', 'admin/Menu/Add');//添加菜单
Route::rule('menuSave', 'admin/Menu/Edit');//编辑菜单
Route::rule('menuDel', 'admin/Menu/Delete');//删除菜单
Route::rule('menuStatus', 'admin/Menu/Status');//启禁用菜单
Route::rule('menuActionList', 'admin/Action/List');//获取菜单下权限列表
Route::rule('menuActionStatus', 'admin/Action/Status');//菜单下权限启禁用权限

//【权限】

Route::rule('ActionAdd', 'admin/Action/Add');//添加权限
Route::rule('ActionRead', 'admin/Action/Read');//获取权限详情
Route::rule('ActionEdit', 'admin/Action/Edit');//编辑权限
Route::rule('ActionDelete', 'admin/Action/Delete');//删除权限
//Route::rule('ActionStatus', 'admin/Action/Status');//启禁用权限

//【角色】
Route::rule('roleList', 'admin/Role/List');//获取角色列表
Route::rule('roleAdd', 'admin/Role/Add');//添加角色
Route::rule('roleRead', 'admin/Role/Read');//获取角色详情
Route::rule('roleEdit', 'admin/Role/Edit');//编辑角色
Route::rule('roleDelete', 'admin/Role/Delete');//删除角色
Route::rule('roleStatus', 'admin/Role/Status');//启禁用角色


//【视频】
Route::rule('videoList', 'admin/Video/List');//获取视频列表
Route::rule('videoAdd', 'admin/Video/Add');//添加视频
Route::rule('videoRead', 'admin/Video/Read');//获取视频详情
Route::rule('videoEdit', 'admin/Video/Edit');//编辑视频
Route::rule('videoChange', 'admin/Video/Change');//视频启禁用
Route::rule('videoDelete', 'admin/Video/Delete');//删除视频

//【卡类型】
Route::rule('cardList', 'admin/Card/List');//获取卡类型列表
Route::rule('cardAdd', 'admin/Card/Add');//添加卡类型
Route::rule('cardRead', 'admin/Card/Read');//获取卡类型详情
Route::rule('cardEdit', 'admin/Card/Edit');//编辑卡类型
Route::rule('cardChange', 'admin/Card/Change');//卡类型启禁用
Route::rule('cardDelete', 'admin/Card/Delete');//删除卡类型

//【企业】
Route::rule('companyList', 'admin/Company/List');//获取企业列表
Route::rule('companyAdd', 'admin/Company/Add');//添加企业
Route::rule('companyRead', 'admin/Company/Read');//获取企业详情
Route::rule('companyEdit', 'admin/Company/Edit');//编辑企业
Route::rule('companyChange', 'admin/Company/Change');//企业启禁用
Route::rule('companyDelete', 'admin/Company/Delete');//删除企业

